use fluffer::App;
use crate::comments::{receive_c2s_gemention, receive_s2s_gemention};

pub(crate) fn create_app() -> App {
    App::default()
        .titan("/c2s/receive/*target", receive_c2s_gemention, 2048)
        .titan("/s2s/receive/*target", receive_s2s_gemention, 2048)
        .route("/", |_| async {
            "# Welcome\n=> titan://localhost/c2s/receive/agnos.is/posts/webmentions-test.gmi Receive Mention"
        })
}
