use fluffer::AppErr;

pub(crate) mod comments;
pub(crate) mod error;
pub(crate) mod models;
pub(crate) mod validation;
pub(crate) mod routes;
pub(crate) mod verification;
pub(crate) mod db;

#[tokio::main]
async fn main() -> Result<(), AppErr> {
    crate::routes::create_app().run().await
}
